Library Version 12.1.6.2

DB->get_heapsize()
Prev | Chapter 2. The DB Handle | Next

## DB->get_heapsize()

    #include <db.h>

    int
    DB->get_heapsize(DB *db, u_int32_t *gbytesp, u_int32_t *bytesp);

Used when the underlying database is configured to use the Heap access method. This method returns the maximum size of the database's heap file. This value may be set using the DB->set_heapsize() method.

The `DB->get_heapsize()` method may be called at any time during the life of the application.

The `DB->get_heapsize()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### gbytesp

The gbytesp parameter references memory into which is copied the maximum number of gigabytes in the heap.

#### bytesp

The bytesp parameter references memory into which is copied the additional bytes in the heap.

### Class

DB

### See Also

Database and Related Methods, DB->set_heapsize()

Prev | Up | Next
DB->get_h_nelem() | Home | DB->get_heap_regionsize()